CREATE TABLE iby_fndcpt_tx_extensions (
    TRXN_EXTENSION_ID              NUMBER(18, 0) ,
    PAYMENT_CHANNEL_CODE           VARCHAR2(120)     NOT NULL,
    EXT_PAYER_ID                   NUMBER(18, 0) ,
    INSTR_ASSIGNMENT_ID            NUMBER(18, 0) ,
    INSTRUMENT_SECURITY_CODE       VARCHAR2(40)  ,
    INSTR_SEC_CODE_LENGTH          NUMBER(2, 0)  ,
    VOICE_AUTHORIZATION_FLAG       VARCHAR2(4)   ,
    VOICE_AUTHORIZATION_DATE       DATE          ,
    VOICE_AUTHORIZATION_CODE       VARCHAR2(400) ,
    ORDER_ID                       VARCHAR2(300) ,
    PO_NUMBER                      VARCHAR2(400) ,
    TRXN_REF_NUMBER1               VARCHAR2(120) ,
    TRXN_REF_NUMBER2               VARCHAR2(120) ,
    ADDITIONAL_INFO                VARCHAR2(1020),
    SEC_SUBKEY_ID                  NUMBER(18, 0) ,
    ENCRYPTED                      VARCHAR2(4)       NOT NULL,
    PO_LINE_NUMBER                 VARCHAR2(400) ,
    ORIGIN_APPLICATION_ID          NUMBER            NOT NULL,
    TANGIBLEID                     VARCHAR2(320) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    INSTR_CODE_SEC_SEGMENT_ID      NUMBER(18, 0) ,
    PAYMENT_SYSTEM_ORDER_NUMBER    VARCHAR2(320) ,
    DEBIT_AUTHORIZATION_ID         NUMBER(18, 0) ,
    DEBIT_AUTH_LAST_TRX_FLAG       VARCHAR2(4)   ,
    RECURR_PMT_REF                 VARCHAR2(400) ,
    RECURR_PMT_SEQ_NUM             NUMBER(5, 0)  ,
    TRXN_EXTENSION_ID              NUMBER(18, 0) ,
    PAYMENT_CHANNEL_CODE           VARCHAR2(120)     NOT NULL,
    EXT_PAYER_ID                   NUMBER(18, 0) ,
    INSTR_ASSIGNMENT_ID            NUMBER(18, 0) ,
    INSTRUMENT_SECURITY_CODE       VARCHAR2(40)  ,
    INSTR_SEC_CODE_LENGTH          NUMBER(2, 0)  ,
    VOICE_AUTHORIZATION_FLAG       VARCHAR2(4)   ,
    VOICE_AUTHORIZATION_DATE       DATE          ,
    VOICE_AUTHORIZATION_CODE       VARCHAR2(400) ,
    ORDER_ID                       VARCHAR2(300) ,
    PO_NUMBER                      VARCHAR2(400) ,
    TRXN_REF_NUMBER1               VARCHAR2(120) ,
    TRXN_REF_NUMBER2               VARCHAR2(120) ,
    ADDITIONAL_INFO                VARCHAR2(1020),
    SEC_SUBKEY_ID                  NUMBER(18, 0) ,
    ENCRYPTED                      VARCHAR2(4)       NOT NULL,
    PO_LINE_NUMBER                 VARCHAR2(400) ,
    ORIGIN_APPLICATION_ID          NUMBER            NOT NULL,
    TANGIBLEID                     VARCHAR2(320) ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    INSTR_CODE_SEC_SEGMENT_ID      NUMBER(18, 0) ,
    PAYMENT_SYSTEM_ORDER_NUMBER    VARCHAR2(320) ,
    DEBIT_AUTHORIZATION_ID         NUMBER(18, 0) ,
    DEBIT_AUTH_LAST_TRX_FLAG       VARCHAR2(4)   ,
    RECURR_PMT_REF                 VARCHAR2(400) ,
    RECURR_PMT_SEQ_NUM             NUMBER(5, 0)  ,
    CONSTRAINT pk_iby_fndcpt_tx_extensions PRIMARY KEY (TRXN_EXTENSION_ID, TRXN_EXTENSION_ID)
);
